<?php
/**
 * Author: MGIP/SIW
 * Author URI: https://www.serviciosinformaticos.work
 * Copyright: © 2021 MGIP/SIW For O'BOX Logística Parnership
 */
class OBOX_Plugin_Activator {

	public static function activate() {

        global $table_prefix, $wpdb, $OBOXL;

        $tblname = 'oboxlogs';
        $wp_track_table = $table_prefix . "$tblname";

        if($wpdb->get_var( "show tables like '$wp_track_table'" ) != $wp_track_table) {

            $sql  = "CREATE TABLE `". $wp_track_table . "` ( ";
            $sql .= "  `id`  int(11)   NOT NULL auto_increment, ";
            $sql .= "  `action`  VARCHAR(256)   NOT NULL, ";
            $sql .= "  `datos`  TEXT  NOT NULL, ";
            $sql .= "  `ip`  VARCHAR(128)   NOT NULL, ";
            $sql .= "  `fechahora`  timestamp   NOT NULL, ";
            $sql .= "  PRIMARY KEY `id` (`id`) ";
            $sql .= ") ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ; ";
            require_once( ABSPATH . '/wp-admin/includes/upgrade.php' );

	        $return = dbDelta($sql);

	        if(empty($wpdb->last_error)) {
		        $OBOXL->obox_logistics_helper->log('PLUGINS', 'OBOX LOGISTICS FUE ACTIVADO Y CREADA TABLA DE LOG', true, true);
	        } else {
		        $OBOXL->obox_logistics_helper->log('PLUGINS', 'OBOX LOGISTICS FUE ACTIVADO PERO NO SE PUDO CREAR LA TABLA DE LOG', true, false);
	        }
        } else {
	        $OBOXL->obox_logistics_helper->log('PLUGINS', 'OBOX LOGISTICS FUE ACTIVADO', true, true);
        }

        if(!get_option('obox_logistics_version')) {
            update_option( 'obox_logistics_version', OBOXL_VERSION );
        };

    }

}
