<?php
/**
 * Author: MGIP/SIW
 * Author URI: https://www.serviciosinformaticos.work
 * Copyright: © 2021 MGIP/SIW For O'BOX Logística Parnership
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! class_exists( 'OBOX_Logistics_WC_Shipping_Methods_Settings_General' ) ) :
	class OBOX_Logistics_WC_Shipping_Methods_Settings_General extends OBOX_Logistics_WC_Shipping_Methods_Settings_Section {
		public function __construct() {
			$this->id   = '';
			$this->desc = __( 'General', 'woo-obox-logistics' );
			parent::__construct();
		}
		public function get_settings() {

			$plugin_settings = array(
				array(
					'title' => 'Configuración',
					'type'  => 'title',
					'id'    => 'obox_logistics_wc_shipping_methods_plugin_options',
				),
				array(
					'title'    => 'Estado',
					'desc'     => '<strong>Activar Servicio</strong>',
					'desc_tip' => 'Sincronización Automatica con la Red O\'Box Logistics',
					'id'       => 'obox_logistics_wc_shipping_methods_plugin_enabled',
					'default'  => 'yes',
					'type'     => 'checkbox',
				),
				array(
					'type' => 'sectionend',
					'id'   => 'obox_logistics_wc_shipping_methods_plugin_options',
				),
			);

			$admin_settings = array(
				array(
					'title' => 'Parametros de Configuración',
					'type'  => 'title',
					'id'    => 'obox_logistics_wc_shipping_methods_admin_options',
					'desc'  => '',
				),
				array(
					'title'   => 'Metodo de Envío',
					'id'      => 'obox_logistics_wc_shipping_methods_admin_metodo',
					'default' => '',
					'desc'    => 'Seleccione el servicio para la sincronización con la Red O\'BOX Logistics. Debe de ser exactamente el <<Título del método>>',
					'type'    => 'text',
					'css'     => 'width:100%',
				),
                array(
                    'title'   => 'Identificador O\'BOX (NIO)',
                    'id'      => 'obox_logistics_wc_shipping_methods_admin_ident',
                    'default' => '',
                    'desc' => 'Si no conoce su Numero de Identificador o NIO, contáctenos',
                    'type'    => 'text',
                    'css'     => 'width:100%',
                ),
                array(
                    'title'   => 'Token',
                    'id'      => 'obox_logistics_wc_shipping_methods_admin_token',
                    'default' => '',
                    'desc' => 'Si no posee la Token e Sicronización, solicitela contactando con nosotros.',
                    'type'    => 'text',
                    'css'     => 'width:100%',
                ),

                array(
                    'title'     => 'Fecha y Franja de Entrega ',
                    'id'        => 'obox_logistics_wc_shipping_methods_admin_fecha',
                    'default'   => '',
                    'desc'      => '(Opcional) Nombre del Custom Field para la fecha y franja de entrega.',
                    'type'      => 'text',
                    'css'       => 'width:100%',
                ),

				array(
					'type' => 'sectionend',
					'id'   => 'obox_logistics_wc_shipping_methods_admin_options',
				),
			);

			return array_merge( $plugin_settings, $admin_settings );
		}
	}
endif;

return new OBOX_Logistics_WC_Shipping_Methods_Settings_General();