<?php

/**
 * Plugin Name: O'BOX Logistics Methods for WooCommerce
 * Plugin URI: https://www.oboxlogistica.com
 * Description: Metodo de Envío y Sincronización Automatica de O'BOX Logística
 * Version: 1.1.0
 * Author: MGIP/SIW
 * Author URI: https://www.serviciosinformaticos.work
 * Text Domain: woo-obox-logistics
 * Copyright: © 2021 MGIP/SIW For O'BOX Logística Parnership
 */

if ( ! defined( 'WPINC' ) ) {
    die;
}

require __DIR__ . '/obox-logistics-class.php';

global $OBOXL;

define( 'OBOXL_VERSION', '1.1.0' );
define( 'OBOXL_NAME', 'obox-logistics-sync-for-woocommerce' );
define( 'OBOXL_LOG', true);
define( 'HEARTBEAT', true);
define( 'OBOXL_PATH', plugin_dir_path( __FILE__ ) );
define( 'OBOXL_URL', plugin_dir_url( __FILE__ ) );
define( 'OBOXL_ASSETS', plugin_dir_url( __FILE__ ) . 'assets/' );
define( 'OBOXL_CLASS', plugin_dir_path( __FILE__ ) . 'classes/');
define( 'OBOXL_BASENAME', plugin_basename(__FILE__));
define( 'OBOXL_ENDPOINT', "https://app.oboxlogistica.com/api/");
//define( 'OBOXL_ENDPOINT', "http://192.168.1.55:9043/api/");


function activate_obox_logistics_plugin() {
    require_once OBOXL_PATH . 'classes/activator.php';
    OBOX_Plugin_Activator::activate();
}

function deactivate_obox_logistics_plugin() {
    require_once OBOXL_PATH . 'classes/desactivator.php';
    OBOX_Plugin_Deactivator::deactivate();
}

function stop_heartbeat() {
    if(!HEARTBEAT) {
        wp_deregister_script('heartbeat');
    }
}

add_action( 'init', 'stop_heartbeat', 1 );
register_activation_hook( __FILE__, 'activate_obox_logistics_plugin' );
register_deactivation_hook( __FILE__, 'deactivate_obox_logistics_plugin' );

$OBOXL = new OBOX_Plugin(OBOXL_NAME, OBOXL_VERSION);